image: docker

services:
  - docker:dind

stages:
  - build-docker-image
  - build-pdf

build-docker-image:
  stage: build-docker-image
  script:
    - docker build -t latex-maker .

build-pdf:
  stage: build-pdf
  script:
    - mkdir -p dist
    - export DOCKER_CONTAINER_NAME=$(docker create latex-maker)
    - docker cp . $DOCKER_CONTAINER_NAME:/build
    - docker start $DOCKER_CONTAINER_NAME
    - docker exec $DOCKER_CONTAINER_NAME make pdf
    - docker cp $DOCKER_CONTAINER_NAME:/build/dist/main.pdf dist/main.pdf
    - docker rm -f $DOCKER_CONTAINER_NAME
  artifacts:
    paths:
      - dist/main.pdf
